;;; misc.el --- Miscellaneous programming languages. -*- lexical-binding: t; -*-

;;; Commentary:
;; Programming languages and build systems that don't warrant a dedicated file.

;;; Code:

(require 'basics/package-management)

;; Checker for the metadata in Emacs Lisp files.
(use-package flycheck-package
  :after (flycheck)
  :config (flycheck-package-setup))

(use-package el2markdown
  :commands (el2markdown-view-buffer
             el2markdown-write-file
             el2markdown-write-readme))

(use-package go-mode
  :mode ("\\.go$" . go-mode))

;; Qt Modeling Language.
(use-package qml-mode
  :mode ("\\.qml$" . qml-mode))

;; <https://github.com/cute-jumper/company-qml/issues/7>
;; ;; Completions for the Qt Modeling Language.
;; (use-package company-qml
;;   :after (company)
;;   :defines (company-backends)
;;   :config (add-to-list 'company-backends 'company-qml)
;;   )

(use-package lua-mode)

(use-package meson-mode)

(provide 'programming/misc)
;;; misc.el ends here
